#
# spec file for package easymp3gain
#
# Copyright (c) 2018 Packman team: http://packman.links2linux.org/
# Copyright (c) 2007-2009 oc2pus <toni@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

%define pkg_version	RM23

Name:           mp4als
Version:        rm23
Release:        pm153.2.5
Summary:        MPEG-4 Audio Lossless Coding
License:        Beerware
Group:          Productivity/Multimedia/Sound/Utilities
URL:            http://www.nue.tu-berlin.de/forschung/projekte/lossless/mp4als.html
Source:         https://www.nue.tu-berlin.de/fileadmin/fg97/Forschung/Projekte/Beendete_Projekte/MPEG4_ALS/%{name}%{pkg_version}.zip
BuildRequires:  gcc-c++
BuildRequires:  unzip

%description
Lossless coding is the latest extension of the MPEG-4 audio
standard. The MPEG audio subgroup has recently finalized the
standardization of lossless coding techniques for high-definition
audio signals. As an extension to MPEG-4 audio, the 'MPEG-4 Audio
Lossless Coding (ALS)' standard defines methods for lossless
coding.

MPEG-4 ALS defines efficient and fast lossless audio compression
techniques for both professional and consumer applications. It
offers many features not included in other lossless compression
schemes.

* General support for virtually any uncompressed digital audio
format (including wav, aiff, au, bwf, raw).
* Support for PCM resolutions of up to 32-bit at arbitrary sampling
rate (including 16/44.1, 16/48, 24/48, 24/96, 24/192).
* Multi-channel / multi-track support for up to 65536 channels
(including 5.1 surround).
* Support for 32-bit IEEE floating point audio data.
* Fast random access to any part of the encoded data.
* Optional storage in MP4 file format (allows multiplex with video).
* High flexibility of codec parameters for various applications.

%prep
%setup -q -n %{name}%{pkg_version}
sed -i 's/\r//g' *.txt

# error: first argument of 'int main(short int, char**)' should be 'int'
#	%__sed -i -e 's|main(short argc, |main(int argc, |g' \
#		src/mp4als.cpp

%build
make %{?_smp_flags} linux

%install
install -dm 755 %{buildroot}%{_bindir}
install -m 755 bin/linux/%{name}%{pkg_version} \
    %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
    ln -s %{name}%{pkg_version} %{name}
popd

%files
%doc *.txt
%{_bindir}/mp4als
%{_bindir}/mp4als%{pkg_version}

%changelog
* Thu Oct 11 2018 aloisio@gmx.com
- Update to REV23 (final)
* Fri Mar 27 2009 toni@links2linux.de
- update to RM22 rev2
* Tue Nov 11 2008 toni@links2linux.de
- update to rm22
* Sat May 31 2008 toni@links2linux.de
- update to rm21
* Mon Mar 31 2008 toni@links2linux.de
- update to rm20
* Sat Nov 17 2007 toni@links2linux.de
- update to rm19
* Fri Jun  1 2007 toni@links2linux.de
- initail release rm18
